%define upstream_name    Test-WWW-Mechanize-Mojo
%define upstream_version v0.0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Test::WWW::Mechanize for Mojo / Mojolicious
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(LWP) >= 5.816.0
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Mojolicious) >= 4.750.0
BuildRequires: perl(Mojolicious::Lite)
BuildRequires: perl(Test::WWW::Mechanize) >= 1.140.0
BuildRequires: perl(WWW::Mechanize) >= 1.500.0
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
the Mojo manpage is an MVC Web Application Framework. the
Test::WWW::Mechanize manpage is a subclass of the WWW::Mechanize manpage
that incorporates features for web application testing. The the
Test::WWW::Mechanize::Mojo manpage module meshes the two to allow easy
testing of the Mojo manpage applications without needing to starting up a
web server.

Testing web applications has always been a bit tricky, normally requiring
starting a web server for your application and making real HTTP requests to
it. This module allows you to test the Mojo manpage web applications but
does not require a server or issue HTTP requests. Instead, it passes the
HTTP request object directly to the Mojo manpage. Thus you do not need to
use a real hostname: "http://localhost/" will do. However, this is
optional. The following two lines of code do exactly the same thing:

  $mech->get_ok('/action');
  $mech->get_ok('http://localhost/action');

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.0.16-3.mga5
+ Revision: 745775
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.16-2.mga5
+ Revision: 686571
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.0.16-1.mga5
+ Revision: 581351
- update to v0.0.16

* Sat Oct 19 2013 umeabot <umeabot> 0.0.13-2.mga4
+ Revision: 525267
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 0.0.13-1.mga4
+ Revision: 432597
- update to v0.0.13

* Sun Jan 13 2013 umeabot <umeabot> 0.0.11-2.mga3
+ Revision: 373907
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 01 2012 shlomif <shlomif> 0.0.11-1.mga3
+ Revision: 277654
- imported package perl-Test-WWW-Mechanize-Mojo


* Wed Aug 01 2012 cpan2dist v0.0.11-1mga
- initial mageia release, generated with cpan2dist
